%define major 1
%define libname %mklibname cdaudio %{major}
%define develname %mklibname cdaudio -d

Summary:	A library for controlling CD-ROM devices
Name:		libcdaudio
Version:	0.99.12p2
Release:	%mkrel 13
Group:		System/Libraries
License:	LGPLv2+
URL:		https://libcdaudio.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-config
Patch0:		%{name}-0.99.10.config.patch
Patch1:		%{name}-0.99-CAN-2005-0706.patch
Patch2:		%{name}-0.99.12-buffovfl.patch
Patch3:		%{name}-0.99.12p2-libdir.patch

%description
libcdaudio is a library for controlling CD-ROM devices

%package -n	%{libname}
Summary:	A library for controlling CD-ROM devices
Group:		System/Libraries

%description -n	%{libname}
libcdaudio is a library for controlling CD-ROM devices

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	cdaudio-devel = %{version}-%{release}
Obsoletes:      %{_lib}cdaudio1-devel

%description -n	%{develname}
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p1

cp %{SOURCE1} cdserver

%build
%configure
%make_build

%install
%make_install
chmod 644 %{buildroot}%{_libdir}/libcdaudio.la

install -d -m 755 %{buildroot}/%{_sysconfdir}
install -m 644 cdserver %{buildroot}/%{_sysconfdir}

%multiarch_binaries %{buildroot}%{_bindir}/libcdaudio-config

%files -n %{libname}
%doc README NEWS AUTHORS ChangeLog
%{_sysconfdir}/cdserver
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%_bindir/libcdaudio-config
%multiarch %{_bindir}/*/libcdaudio-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/libcdaudio.pc


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.99.12p2-13.mga10
+ Revision: 2127702
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 0.99.12p2-12.mga9
+ Revision: 1793897
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 0.99.12p2-11.mga9
+ Revision: 1789902
- fix files list

* Wed Aug 05 2020 joequant <joequant> 0.99.12p2-10.mga8
+ Revision: 1611117
- fix deps
- revert arm fixes

* Thu Feb 13 2020 umeabot <umeabot> 0.99.12p2-9.mga8
+ Revision: 1513943
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.99.12p2-8.mga7
+ Revision: 1298777
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.99.12p2-7.mga7
+ Revision: 1234023
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Wed Feb 03 2016 umeabot <umeabot> 0.99.12p2-6.mga6
+ Revision: 932994
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.99.12p2-5.mga5
+ Revision: 746604
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.99.12p2-4.mga5
+ Revision: 681366
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.99.12p2-3.mga4
+ Revision: 506888
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.99.12p2-2.mga3
+ Revision: 356913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 0.99.12p2-1.mga3
+ Revision: 334820
- 0.99.12p2
- add patch from fedora to fix libdir

* Fri Nov 30 2012 ovitters <ovitters> 0.99.12-12.mga3
+ Revision: 323355
- clean spec
- update rpm group

* Tue Jan 18 2011 colin <colin> 0.99.12-11.mga1
+ Revision: 23251
- Initial Mageia Release
- imported package libcdaudio

